﻿-- Simplified Chinese (简体中文)	
--------------------	--------------------
if (GetLocale() =="zhCN") then	

local _, MFAC = ... -- Pulls back the Addon-Local Variables and store them locally.

-- Binding names	
BINDING_HEADER_FACTIONIZER	= "MuffinFactionizer"
BINDING_NAME_SHOWCONFIG	= "显示选项窗口"
BINDING_NAME_SHOWDETAILS	= "显示声望详细窗口"

MFAC.TXT = {}
FIZ_TXT	= {}
FIZ_TXT.Mob = {}	
-- help	
FIZ_TXT.help	= "一个用来管理声望的工具"
FIZ_TXT.command	= "无法解析命令"
FIZ_TXT.usage	= "用法"
FIZ_TXT.helphelp	= "显示此帮助文本"
FIZ_TXT.helpabout	= "显示作者信息"
FIZ_TXT.helpstatus	= "显示配置状态"
FIZ_TXT.helplist	= "显示全部阵营，以声望等级分组"

-- about	
FIZ_TXT.by	= "由"
FIZ_TXT.version	= "版本"
FIZ_TXT.date	= "日期"
FIZ_TXT.web	= "网站"
FIZ_TXT.slash	= "斜线命令"

-- status	
FIZ_TXT.status	= "状态"
FIZ_TXT.disabled	= "禁用"
FIZ_TXT.enabled	= "启用"
MFAC.TXT.statusShowMobs	= "显示怪物 [M]"
MFAC.TXT.statusShowQuests	= "显示任务 [Q]"
MFAC.TXT.statusShowInstances	= "显示副本 [D]"
MFAC.TXT.statusShowItems	= "显示物品 [I]"
MFAC.TXT.statusShowGeneral	= "显示一般 [G]"
MFAC.TXT.statusShowMissing	= "显示缺失声望"
MFAC.TXT.statusShowParagon = "在声望界面中显示巅峰声望的状态"
MFAC.TXT.statusExtendDetails	= "显示扩展的详细界面"
MFAC.TXT.statusWriteChatMessage	= "详细聊天界面消息"
MFAC.TXT.statusNoGuildGain	= "不在聊天界面中显示公会声望的信息"
MFAC.TXT.statusSuppressOriginalChat	= "禁止原始的聊天界面信息"
MFAC.TXT.statusShowPreviewRep	= "在声望界面中显示声望预览"
MFAC.TXT.statusSwitchFactionBar	= "自动切换阵营声望条"
MFAC.TXT.statusNoGuildSwitch	= "不切换到公会声望"
MFAC.TXT.statusSilentSwitch	= "切换声望时不发消息"
MFAC.TXT.statusShowToasts	= "显示对巅峰奖励的祝词"
MFAC.TXT.statusAutoTurnIn = "自动上交声望物品任务"

-- XML UI elements	
FIZ_TXT.showQuests	= "显示任务"
FIZ_TXT.showInstances	= "显示副本"
FIZ_TXT.showMobs	= "显示怪物"
FIZ_TXT.showItems	= "显示物品"
FIZ_TXT.showGeneral	= "显示一般"
FIZ_TXT.showAll	= "显示全部"
FIZ_TXT.showNone	= "不显示"
FIZ_TXT.expand	= "展开"
FIZ_TXT.collapse	= "收缩"
FIZ_TXT.supressNoneFaction	= "清除对阵营的屏蔽"
FIZ_TXT.supressNoneGlobal	= "清除所有屏蔽"
FIZ_TXT.suppressHint	= "右键单击一个任务将其从汇总中排除"
FIZ_TXT.clearSessionGain	= "清零当前收益计数器"

-- options dialog	
FIZ_TXT.showMissing	= "在声望界面中显示缺少的声望"
FIZ_TXT.showParagon = "在声望界面中显示巅峰声望的状态"
FIZ_TXT.extendDetails	= "显示扩展的声望详细界面"
FIZ_TXT.gainToChat	= "在聊天界面显示详细的阵营收益消息"
FIZ_TXT.noGuildGain	= "不在聊天界面显示公会声望"
FIZ_TXT.suppressOriginalGain	= "禁止原阵营收益消息"
FIZ_TXT.showPreviewRep	= "在声望界面中显示可以上交的声望"
FIZ_TXT.switchFactionBar	= "将声望条切换到刚获得声望的阵营"
FIZ_TXT.noGuildSwitch	= "不要将声望条切换到公会声望"
FIZ_TXT.silentSwitch	= "切换声望条时不通知"
FIZ_TXT.ShowToasts = "获得巅峰奖励时显示祝词"
FIZ_TXT.AutoTurnIn = "自动上交声望物品任务"
FIZ_TXT.guildCap	= "在聊天界面中显示公会声望的上限"
FIZ_TXT.defaultChatFrame	= "使用默认的聊天界面"
FIZ_TXT.chatFrame	= "使用聊天界面 %d (%s)"
FIZ_TXT.usingDefaultChatFrame	= "正在使用默认聊天界面"
FIZ_TXT.usingChatFrame	= "正在使用聊天界面"

-- various LUA	
FIZ_TXT.options	= "选项"
FIZ_TXT.orderByStanding	= "按声望等级排序"
FIZ_TXT.lookup	= "查找阵营"
FIZ_TXT.allFactions	= "列出所有阵营"
FIZ_TXT.missing	= "(到下一级)"
FIZ_TXT.missing2	= "缺失"
FIZ_TXT.heroic	= "英雄"
FIZ_TXT.normal	= "普通"
FIZ_TXT.switchBar	= "将声望条切换到"

-- FIZ_ShowFactions	
FIZ_TXT.faction	= "阵营"
FIZ_TXT.is = "是"
FIZ_TXT.withStanding = "with standing"
FIZ_TXT.needed	= "需要"
FIZ_TXT.mob	= "[怪物]"
FIZ_TXT.limited	= "限制到"
FIZ_TXT.limitedPl	= "限制到"
FIZ_TXT.quest	= "[任务]"
FIZ_TXT.instance	= "[副本]"
FIZ_TXT.items	= "[物品]"
FIZ_TXT.unknown	= "对该玩家未知"

-- mob Details	
FIZ_TXT.TrashMobs	= "小怪"
FIZ_TXT.oboss	= "其他Boss"
FIZ_TXT.aboss	= "所以Boss"
FIZ_TXT.pboss	= "每个Boss"
FIZ_TXT.fclear	= "全清"
FIZ_TXT.AU	= "任何无名的"
FIZ_TXT.AN	= "任何有名字的"
FIZ_TXT.BB	= "血帆海盗"
FIZ_TXT.SSP	= "南海海盗"
FIZ_TXT.Wa	= "废土强盗"
FIZ_TXT.VCm	= "任何风险投资公司怪物"
FIZ_TXT.Mob.MoshOgg_Spellcrafter = "莫什奥格法师"
FIZ_TXT.Mob.BoulderfistOgre = "石拳食人魔"

-- Quest Details	
FIZ_TXT.cdq	= "主城烹饪日常任务"
FIZ_TXT.coq	= "其它城市烹饪日常任务"
FIZ_TXT.fdq	= "主城钓鱼日常任务"
FIZ_TXT.foq	= "其它城市钓鱼日常任务"
FIZ_TXT.ndq	= "无日常任务"
FIZ_TXT.deleted	= "过时"
FIZ_TXT.Championing	= "代表(战袍)"
FIZ_TXT.bpqfg	= "By percent of quest faction gain"
	
-- items Details	
FIZ_TXT.cbadge	= "其它城市奖章"

-- instance Details	
FIZ_TXT.srfd	= "Spillover rep from dungeons"
FIZ_TXT.tbd	= "ToBe Done"
FIZ_TXT.nci	= "普通大灾变副本"
FIZ_TXT.hci	= "英雄大灾变副本"

-- ToBeDone general	
FIZ_TXT.tfr	= "阡陌客声望"
FIZ_TXT.nswts	= "不确定何时开始"
FIZ_TXT.mnd	= "日常任务的最大数目"
FIZ_TXT.mnds	= "日常任务的最大数目是"
	
	
	
	
	
-- ReputationDetails	
FIZ_TXT.currentRep	= "当前声望"
FIZ_TXT.neededRep	= "需要声望"
FIZ_TXT.missingRep	= "缺失声望"
FIZ_TXT.repInBag	= "包里的声望"
FIZ_TXT.repInBagBank	= "包裹和银行中的声望"
FIZ_TXT.repInQuest	= "任务中的声望"
FIZ_TXT.factionGained	= "当前收益"
FIZ_TXT.noInfo	= "此阵营/声望无可用信息"
FIZ_TXT.toExalted	= "到崇拜的声望"

-- to chat	
FIZ_TXT.stats	= " (总计: %s%d, 剩余: %d)"

-- config changed	
FIZ_TXT.configQuestion	= "一些(新)设置已启用。 对一种设置只做一次。 推荐你确认MuffinFactionizer的设置"
FIZ_TXT.showConfig	= "查看配置文件"
FIZ_TXT.later	= "以后"

-- UpdateList	
FIZ_TXT.mobShort	= "[M]"
FIZ_TXT.questShort	= "[Q]"
FIZ_TXT.instanceShort	= "[D]"
FIZ_TXT.itemsShort	= "[I]"
FIZ_TXT.generalShort	= "[G]"
FIZ_TXT.mobHead	= "击杀此怪获得声望"
FIZ_TXT.questHead	= "完成此任务获得声望"
FIZ_TXT.instanceHead	= "刷此副本获得声望"
FIZ_TXT.itemsHead	= "上交物品获得声望"
FIZ_TXT.generalHead	= "关于获得声望的基本信息"
FIZ_TXT.mobTip	= "每次击杀此怪, 你将获得声望。 持之以恒，你将达到下一等级。"
FIZ_TXT.questTip	= "每次完成此可重复或日常任务, 你将获得声望。 持之以恒，你将达到下一等级。"
FIZ_TXT.instanceTip	= "每次刷此副本, 你将获得声望。 持之以恒，你将达到下一等级。"
FIZ_TXT.itemsName	= "物品上交"
FIZ_TXT.itemsTip	= "每次上交列表中的物品，你将获得声望。 持之以恒，你将达到下一等级。"
FIZ_TXT.generalTip	= "本条信息是关于获取没有可重复方式的阵营声望。"
FIZ_TXT.allOfTheAbove	= "上列%d个任务的总和"
FIZ_TXT.questSummaryHead	= FIZ_TXT.allOfTheAbove
FIZ_TXT.questSummaryTip	= "该条目显示了上面列出的所有任务的总结。\r\n假设所有列出的任务都是日常任务，这将很有用，因为它会告诉你如果你每天完成所有日常任务，你需要多少天到达下一个声望等级。"
FIZ_TXT.complete	= "完成"
FIZ_TXT.active	= "活跃"
FIZ_TXT.inBag	= "在包里"
FIZ_TXT.turnIns	= "上交:"
FIZ_TXT.reputation	= "声望:"
FIZ_TXT.reputationCap	= "声望上限:"
FIZ_TXT.reputationCapCurrent	= "当前声望:"
FIZ_TXT.inBagBank	= "在包里和银行里"
FIZ_TXT.questCompleted	= "任务完成"
FIZ_TXT.timesToDo	= "需要次数:"
FIZ_TXT.instance2	= "副本:"
FIZ_TXT.mode	= "难度:"
FIZ_TXT.timesToRun	= "刷副本次数:"
FIZ_TXT.mob2	= "怪物:"
FIZ_TXT.location	= "地点:"
FIZ_TXT.toDo	= "需要:"
FIZ_TXT.quest2	= "任务:"
FIZ_TXT.itemsRequired	= "需要的物品"
FIZ_TXT.general2	= "普通:"
FIZ_TXT.maxStanding	= "产生声望直到"

-- skills	
FIZ_TXT.skillHerb	= "草药"
FIZ_TXT.skillMine	= "采矿"
FIZ_TXT.skillSkin	= "剥皮"
FIZ_TXT.skillAlch	= "炼金"
FIZ_TXT.skillBlack	= "锻造"
FIZ_TXT.skillEnch	= "附魔"
FIZ_TXT.skillEngi	= "工程学"
FIZ_TXT.skillIncrip	= "铭文"
FIZ_TXT.skillJewel	= "珠宝加工"
FIZ_TXT.skillLeath	= "制皮"
FIZ_TXT.skillTail	= "裁缝"
FIZ_TXT.skillAid	= "急救"
FIZ_TXT.skillArch	= "考古"
FIZ_TXT.skillCook	= "烹饪"
FIZ_TXT.skillFish	= "钓鱼"

-- Tooltip	
FIZ_TXT.elements	= {}
FIZ_TXT.elements.name	= {}
FIZ_TXT.elements.tip	= {}
	
FIZ_TXT.elements.name.FIZ_OptionsButton	= FIZ_TXT.options
FIZ_TXT.elements.tip.FIZ_OptionsButton	= "打开界面配置MuffinFactionizer。"
FIZ_TXT.elements.name.FIZ_OrderByStandingCheckBox	= FIZ_TXT.orderByStanding
FIZ_TXT.elements.tip.FIZ_OrderByStandingCheckBox	= "如果不选中此框，阵营列表以默认（暴雪）排序显示，以逻辑和字母顺序分组。\r\n\r\n如果选中此框，阵营列表以声望等级排序。\r\n\r\n要查看|cFFFAA0A0无效|r阵营，取消选中此框并前往列表底部。"
	
FIZ_TXT.elements.name.FIZ_ShowMobsButton	= FIZ_TXT.showMobs
FIZ_TXT.elements.tip.FIZ_ShowMobsButton	= "点此按钮可查看能提高声望的怪物"
FIZ_TXT.elements.name.FIZ_ShowQuestButton	= FIZ_TXT.showQuests
FIZ_TXT.elements.tip.FIZ_ShowQuestButton	= "点此按钮可查看能提高声望的任务"
FIZ_TXT.elements.name.FIZ_ShowItemsButton	= FIZ_TXT.showItems
FIZ_TXT.elements.tip.FIZ_ShowItemsButton	= "点此按钮可查看能提高声望的物品"
FIZ_TXT.elements.name.FIZ_ShowInstancesButton	= FIZ_TXT.showInstances
FIZ_TXT.elements.tip.FIZ_ShowInstancesButton	= "点此按钮可查看能提高声望的副本"
FIZ_TXT.elements.name.FIZ_ShowGeneralButton	= FIZ_TXT.showGeneral
FIZ_TXT.elements.tip.FIZ_ShowGeneralButton	= "点此按钮可查看提高声望的一般信息"
	
FIZ_TXT.elements.name.FIZ_ShowAllButton	= FIZ_TXT.showAll
FIZ_TXT.elements.tip.FIZ_ShowAllButton	= "点此按钮可勾选左侧的四个复选框。\r\n将显示能给与当前选定的阵营声望的怪物，任务，物品和副本。"
FIZ_TXT.elements.name.FIZ_ShowNoneButton	= FIZ_TXT.showNone
FIZ_TXT.elements.tip.FIZ_ShowNoneButton	= "点此按钮取消勾选左侧的四个复选框。\r\n不显示能给与当前选定的阵营声望的途径。"
	
FIZ_TXT.elements.name.FIZ_ExpandButton	= FIZ_TXT.expand
FIZ_TXT.elements.tip.FIZ_ExpandButton	= "点此按钮可展开列表中的所有条目。这将显示所有物品收集任务所需的材料。"
FIZ_TXT.elements.name.FIZ_CollapseButton	= FIZ_TXT.collapse
FIZ_TXT.elements.tip.FIZ_CollapseButton	= "点此按钮折叠列表中的所有条目。这将隐藏所有物品收集任务所需的材料。"
FIZ_TXT.elements.name.FIZ_SupressNoneFactionButton	= FIZ_TXT.supressNoneFaction
FIZ_TXT.elements.tip.FIZ_SupressNoneFactionButton	= "点此按钮可重新启用该阵营中所有被屏蔽的任务。"
FIZ_TXT.elements.name.FIZ_SupressNoneGlobalButton	= FIZ_TXT.supressNoneGlobal
FIZ_TXT.elements.tip.FIZ_SupressNoneGlobalButton	= "点此按钮可重新启用所有阵营中所有被屏蔽的任务。"
FIZ_TXT.elements.name.FIZ_ClearSessionGainButton	= FIZ_TXT.clearSessionGain
FIZ_TXT.elements.tip.FIZ_ClearSessionGainButton	= "点此按钮来清除重置本次获取声望的计数器。"
	
FIZ_TXT.elements.name.FIZ_EnableParagonBox	= FIZ_TXT.showParagon
FIZ_TXT.elements.tip.FIZ_EnableParagonBox	= "启用此设置，显示你的巅峰声望以取代崇拜等级。"
FIZ_TXT.elements.name.FIZ_ShowToastsBox	= FIZ_TXT.ShowToasts
FIZ_TXT.elements.tip.FIZ_ShowToastsBox	= "启用此设置，当你获得巅峰奖励时显示祝词。"
FIZ_TXT.elements.name.MFAC_AutoTurnInBox	= FIZ_TXT.AutoTurnIn
FIZ_TXT.elements.tip.MFAC_AutoTurnInBox	= "启用此设置，自动上交声望物品。|n|n当前支持的阵营:|n   - 热砂保护协会"

FIZ_TXT.elements.name.FIZ_EnableMissingBox	= FIZ_TXT.showMissing
FIZ_TXT.elements.tip.FIZ_EnableMissingBox	= "启用此设置，在每个阵营当前声望等级后面添加到下一声望等级所需声望点。"
FIZ_TXT.elements.name.FIZ_ExtendDetailsBox	= FIZ_TXT.extendDetails
FIZ_TXT.elements.tip.FIZ_ExtendDetailsBox	= "启用此设置，显示扩展的声望详细界面 \r\n除了在原详细界面中显示的信息，这会显示到达下一个声望等级所需的声望，并显示可获得此声望的任务，怪物，物品和副本。"
FIZ_TXT.elements.name.FIZ_GainToChatBox	= FIZ_TXT.gainToChat
FIZ_TXT.elements.tip.FIZ_GainToChatBox	= "启用此设置，每当你获得的声望时，显示对所有阵营获得的声望。\r\n这不同于报告声望收益的标准方式，通常情况下，只报告主要阵营的声望收益。"
FIZ_TXT.elements.name.FIZ_NoGuildGainBox	= FIZ_TXT.noGuildGain
FIZ_TXT.elements.tip.FIZ_NoGuildGainBox	= "启用此设置，不在聊天界面中显示公会声望的消息。"
FIZ_TXT.elements.name.FIZ_SupressOriginalGainBox	= FIZ_TXT.suppressOriginalGain
FIZ_TXT.elements.tip.FIZ_SupressOriginalGainBox	= "启用此设置，禁止标准的声望收益消息。\r\n如果已经启用了详细的阵营收益消息，这是可行的，你不会看到标准的和扩展的两个版本的消息。"
FIZ_TXT.elements.name.FIZ_ShowPreviewRepBox	= FIZ_TXT.showPreviewRep
FIZ_TXT.elements.tip.FIZ_ShowPreviewRepBox	= "启用此设置，在声望界面中把上交物品和已完成的任务所能获得的声望以一个灰色条覆盖当前声望条。"
FIZ_TXT.elements.name.FIZ_SwitchFactionBarBox	= FIZ_TXT.switchFactionBar
FIZ_TXT.elements.tip.FIZ_SwitchFactionBarBox	= "启用此设置，自动将当前阵营切换到刚获得声望的阵营。"
FIZ_TXT.elements.name.FIZ_NoGuildSwitchBox	= FIZ_TXT.noGuildSwitch
FIZ_TXT.elements.tip.FIZ_NoGuildSwitchBox	= "启用此设置，不切换到公会声望。"
FIZ_TXT.elements.name.FIZ_SilentSwitchBox	= FIZ_TXT.silentSwitch
FIZ_TXT.elements.tip.FIZ_SilentSwitchBox	= "启用此设置，切换声望条时保持静默（不在聊天界面中显示消息）。"
FIZ_TXT.elements.name.FIZ_GuildCapBox	= FIZ_TXT.guildCap
FIZ_TXT.elements.name.FIZ_ChatFrameSlider	= "聊天界面"
FIZ_TXT.elements.tip.FIZ_ChatFrameSlider	= "选择MuffinFactionizer显示消息的聊天界面。"
	
FIZ_TXT.elements.name.FIZ_OptionEnableMissing	= FIZ_TXT.elements.name.FIZ_EnableMissingBox
FIZ_TXT.elements.tip.FIZ_OptionEnableMissing	= FIZ_TXT.elements.tip.FIZ_EnableMissingBox
FIZ_TXT.elements.name.FIZ_OptionEnableMissingCB	= FIZ_TXT.elements.name.FIZ_EnableMissingBox
FIZ_TXT.elements.tip.FIZ_OptionEnableMissingCB	= FIZ_TXT.elements.tip.FIZ_EnableMissingBox
FIZ_TXT.elements.name.FIZ_OptionExtendDetails	= FIZ_TXT.elements.name.FIZ_ExtendDetailsBox
FIZ_TXT.elements.tip.FIZ_OptionExtendDetails	= FIZ_TXT.elements.tip.FIZ_ExtendDetailsBox
FIZ_TXT.elements.name.FIZ_OptionExtendDetailsCB	= FIZ_TXT.elements.name.FIZ_ExtendDetailsBox
FIZ_TXT.elements.tip.FIZ_OptionExtendDetailsCB	= FIZ_TXT.elements.tip.FIZ_ExtendDetailsBox
FIZ_TXT.elements.name.FIZ_OptionGainToChat	= FIZ_TXT.elements.name.FIZ_GainToChatBox
FIZ_TXT.elements.tip.FIZ_OptionGainToChat	= FIZ_TXT.elements.tip.FIZ_GainToChatBox
FIZ_TXT.elements.name.FIZ_OptionGainToChatCB	= FIZ_TXT.elements.name.FIZ_GainToChatBox
FIZ_TXT.elements.tip.FIZ_OptionGainToChatCB	= FIZ_TXT.elements.tip.FIZ_GainToChatBox
FIZ_TXT.elements.name.FIZ_OptionNoGuildGain	= FIZ_TXT.elements.name.FIZ_NoGuildGainBox
FIZ_TXT.elements.tip.FIZ_OptionNoGuildGain	= FIZ_TXT.elements.tip.FIZ_NoGuildGainBox
FIZ_TXT.elements.name.FIZ_OptionNoGuildGainCB	= FIZ_TXT.elements.name.FIZ_NoGuildGainBox
FIZ_TXT.elements.tip.FIZ_OptionNoGuildGainCB	= FIZ_TXT.elements.tip.FIZ_NoGuildGainBox
FIZ_TXT.elements.name.FIZ_OptionSupressOriginalGain	= FIZ_TXT.elements.name.FIZ_SupressOriginalGainBox
FIZ_TXT.elements.tip.FIZ_OptionSupressOriginalGain	= FIZ_TXT.elements.tip.FIZ_SupressOriginalGainBox
FIZ_TXT.elements.name.FIZ_OptionSupressOriginalGainCB	= FIZ_TXT.elements.name.FIZ_SupressOriginalGainBox
FIZ_TXT.elements.tip.FIZ_OptionSupressOriginalGainCB	= FIZ_TXT.elements.tip.FIZ_SupressOriginalGainBox
FIZ_TXT.elements.name.FIZ_OptionShowPreviewRep	= FIZ_TXT.elements.name.FIZ_ShowPreviewRepBox
FIZ_TXT.elements.tip.FIZ_OptionShowPreviewRep	= FIZ_TXT.elements.tip.FIZ_ShowPreviewRepBox
FIZ_TXT.elements.name.FIZ_OptionShowPreviewRepCB	= FIZ_TXT.elements.name.FIZ_ShowPreviewRepBox
FIZ_TXT.elements.tip.FIZ_OptionShowPreviewRepCB	= FIZ_TXT.elements.tip.FIZ_ShowPreviewRepBox
FIZ_TXT.elements.name.FIZ_OptionSwitchFactionBar	= FIZ_TXT.elements.name.FIZ_SwitchFactionBarBox
FIZ_TXT.elements.tip.FIZ_OptionSwitchFactionBar	= FIZ_TXT.elements.tip.FIZ_SwitchFactionBarBox
FIZ_TXT.elements.name.FIZ_OptionSwitchFactionBarCB	= FIZ_TXT.elements.name.FIZ_SwitchFactionBarBox
FIZ_TXT.elements.tip.FIZ_OptionSwitchFactionBarCB	= FIZ_TXT.elements.tip.FIZ_SwitchFactionBarBox
FIZ_TXT.elements.name.FIZ_OptionNoGuildSwitch	= FIZ_TXT.elements.name.FIZ_NoGuildSwitchBox
FIZ_TXT.elements.tip.FIZ_OptionNoGuildSwitch	= FIZ_TXT.elements.tip.FIZ_NoGuildSwitchBox
FIZ_TXT.elements.name.FIZ_OptionNoGuildSwitchCB	= FIZ_TXT.elements.name.FIZ_NoGuildSwitchBox
FIZ_TXT.elements.tip.FIZ_OptionNoGuildSwitchCB	= FIZ_TXT.elements.tip.FIZ_NoGuildSwitchBox
FIZ_TXT.elements.name.FIZ_OptionSilentSwitch	= FIZ_TXT.elements.name.FIZ_SilentSwitchBox
FIZ_TXT.elements.tip.FIZ_OptionSilentSwitch	= FIZ_TXT.elements.tip.FIZ_SilentSwitchBox
FIZ_TXT.elements.name.FIZ_OptionSilentSwitchCB	= FIZ_TXT.elements.name.FIZ_SilentSwitchBox
FIZ_TXT.elements.tip.FIZ_OptionSilentSwitchCB	= FIZ_TXT.elements.tip.FIZ_SilentSwitchBox
FIZ_TXT.elements.name.FIZ_OptionGuildCap	= FIZ_TXT.elements.name.FIZ_GuildCapBox
FIZ_TXT.elements.tip.FIZ_OptionGuildCap	= FIZ_TXT.elements.tip.FIZ_GuildCapBox
FIZ_TXT.elements.name.FIZ_OptionGuildCapCB	= FIZ_TXT.elements.name.FIZ_GuildCapBox
FIZ_TXT.elements.tip.FIZ_OptionGuildCapCB	= FIZ_TXT.elements.tip.FIZ_GuildCapBox
FIZ_TXT.elements.name.FIZ_OptionChatFrameSlider	= FIZ_TXT.elements.name.FIZ_ChatFrameSlider
FIZ_TXT.elements.tip.FIZ_OptionChatFrameSlider	= FIZ_TXT.elements.tip.FIZ_ChatFrameSlider
end