local _, MFAC = ... -- Pulls back the Addon-Local Variables and store them locally.

--TODO: https://wow.gamepedia.com/Championing

function MFAC.InitEnFactionGainsHorde()

	local zone = MuffinFactionizer.zone;
	local faction = MuffinFactionizer.faction;
	local standing = MuffinFactionizer.standing;
	local difficulty = MuffinFactionizer.difficulty;

	----------------------------------------------------------------------------------------------------------------
	-- Classic
	----------------------------------------------------------------------------------------------------------------

-- Horde Cities
-- Darkspear Trolls 530
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 7385, 18.75, {[17306] = 5}) --A Gallon of Blood
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 6801, 2.5, {[17306] = 1}) --Lokholar the Ice Lord
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 6825, 10, {[17326] = 1}) --Call of Air - Guse's Fleet
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 6826, 10, {[17327] = 1}) --Call of Air - Jeztor's Fleet
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 6827, 10, {[17328] = 1}) --Call of Air - Mulverick's Fleet
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 7001, 2.5) --Empty Stables
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 7002, 2.5, {[17642] = 1}) --Ram Hide Harnesses
	MFAC.AddQuest(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 6741, 2.5, {[17422] = 20}) --More Booty!
---- spillover from Other
	MFAC.AddItems(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 250, {[45720] = 1}) --Sen'jin Commendation Badge (rep confirmed Wowhead 29JUL2018)
	--MFAC.AddItems(faction.DarkspearTrolls, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Orgrimmar 76
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 1, 250, nil, MFAC.LimitType.Cooking) --"Main city cooking quests"
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 3, 250, nil, MFAC.LimitType.Fishing) --"Main city fishing quests"
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 7385, 18.75, {[17306] = 5}) --A Gallon of Blood
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 6801, 2.5, {[17306] = 1}) --Lokholar the Ice Lord
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 6825, 10, {[17326] = 1}) --Call of Air - Guse's Fleet
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 6826, 10, {[17327] = 1}) --Call of Air - Jeztor's Fleet
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 6827, 10, {[17328] = 1}) --Call of Air - Mulverick's Fleet
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 7001, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 7002, 2.5, {[17642] = 1}) --Ram Hide Harnesses
	MFAC.AddQuest(faction.Orgrimmar, standing.Neutral, standing.Exalted, 6741, 2.5, {[17422] = 20}) --More Booty!
---- spillover from Other
	MFAC.AddItems(faction.Orgrimmar, standing.Neutral, standing.Exalted, 250, {[45719] = 1}) --Sen'jin Commendation Badge (rep confirmed Wowhead 29JUL2018)
	--MFAC.AddItems(faction.Orgrimmar, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Silvermoon City 911
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	--MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 7385, 18.75, {[17306] = 5}) --A Gallon of Blood
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 6801, 2.5, {[17306] = 1}) --Lokholar the Ice Lord
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 6825, 10, {[17326] = 1}) --Call of Air - Guse's Fleet
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 6826, 10, {[17327] = 1}) --Call of Air - Jeztor's Fleet
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 6827, 10, {[17328] = 1}) --Call of Air - Mulverick's Fleet
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 7001, 2.5) --Empty Stables
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 7002, 2.5, {[17642] = 1}) --Ram Hide Harnesses
	MFAC.AddQuest(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 6741, 2.5, {[17422] = 20}) --More Booty!
---- spillover from Other
	MFAC.AddItems(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 250, {[45721] = 1}) --Sen'jin Commendation Badge (rep confirmed Wowhead 29JUL2018)
	--MFAC.AddItems(faction.SilvermoonCity, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Thunder Bluff 81
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 1, 250, nil, MFAC.LimitType.Cooking) --"Main city cooking quests"
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 3, 250, nil, MFAC.LimitType.Fishing) --"Main city fishing quests"
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 7385, 18.75, {[17306] = 5}) --A Gallon of Blood
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 6801, 2.5, {[17306] = 1}) --Lokholar the Ice Lord
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 6825, 10, {[17326] = 1}) --Call of Air - Guse's Fleet
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 6826, 10, {[17327] = 1}) --Call of Air - Jeztor's Fleet
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 6827, 10, {[17328] = 1}) --Call of Air - Mulverick's Fleet
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 7001, 2.5) --Empty Stables
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 7002, 2.5, {[17642] = 1}) --Ram Hide Harnesses
	MFAC.AddQuest(faction.ThunderBluff, standing.Neutral, standing.Exalted, 6741, 2.5, {[17422] = 20}) --More Booty!
---- spillover from Other
	MFAC.AddItems(faction.ThunderBluff, standing.Neutral, standing.Exalted, 250, {[45722] = 1}) --Sen'jin Commendation Badge (rep confirmed Wowhead 29JUL2018)
	--MFAC.AddItems(faction.ThunderBluff, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Undercity 68
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 1, 250, nil, MFAC.LimitType.Cooking) --"Main city cooking quests"
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 3, 250, nil, MFAC.LimitType.Fishing) --"Main city fishing quests"
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 7385, 18.75, {[17306] = 5}) --A Gallon of Blood
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 6801, 2.5, {[17306] = 1}) --Lokholar the Ice Lord
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 6825, 10, {[17326] = 1}) --Call of Air - Guse's Fleet
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 6826, 10, {[17327] = 1}) --Call of Air - Jeztor's Fleet
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 6827, 10, {[17328] = 1}) --Call of Air - Mulverick's Fleet
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 7001, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 7002, 2.5, {[17642] = 1}) --Ram Hide Harnesses
	MFAC.AddQuest(faction.Undercity, standing.Neutral, standing.Exalted, 6741, 2.5, {[17422] = 20}) --More Booty!
---- spillover from Other
	MFAC.AddItems(faction.Undercity, standing.Neutral, standing.Exalted, 250, {[45723] = 1}) --Sen'jin Commendation Badge (rep confirmed Wowhead 29JUL2018)
	--MFAC.AddItems(faction.Undercity, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})
-- Bilgewater Cartel 1133
	MFAC.AddQuest(faction.BilgewaterCartel, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.BilgewaterCartel, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
---- spillover from Other

-- Huojin Pandaren 1352
	MFAC.AddQuest(faction.HuojinPandarin, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.HuojinPandarin, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
---- spillover from Alterac Valley
---- spillover from Other

-- Horde Forces
-- The Defilers 510
	--TODO: Research this
	--FIZ_AddInstance(faction.TheDefilers, standing.Neutral, standing.Exalted, zone.Warsong_Gulch, 35)
	--FIZ_AddInstance(faction.TheDefilers, standing.Neutral, standing.Exalted, zone.Warsong_Gulch, 105)
-- Frostwolf Clan 729
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 7385, 18.75, {[17306] = 5}) --A Gallon of Blood
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 6801, 2.5, {[17306] = 1}) --Lokholar the Ice Lord
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 6825, 10, {[17326] = 1}) --Call of Air - Guse's Fleet
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 6826, 10, {[17327] = 1}) --Call of Air - Jeztor's Fleet
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 6827, 10, {[17328] = 1}) --Call of Air - Mulverick's Fleet
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 7001, 2.5) --Empty Stables
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 7002, 2.5, {[17642] = 1}) --Ram Hide Harnesses
	MFAC.AddQuest(faction.FrostwolfClan, standing.Neutral, standing.Exalted, 6741, 2.5, {[17422] = 20}) --More Booty!
-- Warsong Outriders 889
	--TODO: Research this
	--FIZ_AddInstance(faction.WarsongOutriders, standing.Neutral, standing.Exalted, zone.Arathi_Basin, 10)
	--FIZ_AddInstance(faction.WarsongOutriders, standing.Neutral, standing.Exalted, zone.Arathi_Basin, 100)
-- Brawl'gar Arena 1374 (season 1)
	--MFAC.AddQuest(1374, 1, 8, 5, 1)

	-----------------------------------------------
	-- Burning Crusade
	-----------------------------------------------
	-- Thrallmar 947
	FIZ_AddInstance(faction.Thrallmar, standing.Neutral, standing.Friendly, zone.Hellfire_Ramparts, 600, difficulty.Normal)
	FIZ_AddInstance(faction.Thrallmar, standing.Neutral, standing.Exalted, 	zone.Hellfire_Ramparts, 2000, difficulty.Heroic)
	FIZ_AddInstance(faction.Thrallmar, standing.Neutral, standing.Friendly, zone.The_Blood_Furnace, 750, difficulty.Normal)
	FIZ_AddInstance(faction.Thrallmar, standing.Neutral, standing.Exalted, 	zone.The_Blood_Furnace, 2700, difficulty.Heroic)
	FIZ_AddInstance(faction.Thrallmar, standing.Neutral, standing.Exalted, 	zone.The_Shattered_Halls, 1600, difficulty.Normal)
	FIZ_AddInstance(faction.Thrallmar, standing.Neutral, standing.Exalted, 	zone.The_Shattered_Halls, 2900, difficulty.Heroic)

	MFAC.AddQuest(faction.Thrallmar, standing.Neutral, standing.Revered, 13409, 150) -- Hellfire Fortifications (PvP)

	FIZ_AddMob(faction.Thrallmar, standing.Neutral, standing.Revered, "Bleeding Hollow Necrolyte", 5, zone.Hellfire_Peninsula)
	FIZ_AddMob(faction.Thrallmar, standing.Neutral, standing.Revered, "Shattered Hand mobs", 5,  zone.Hellfire_Peninsula)

	-- The Mag'har 941
	MFAC.AddQuest(faction.TheMaghar, standing.Neutral, standing.Exalted, 10479, 500, {[25433] = 10}) --Proving Your Strength, turn in Obsidian Beads
	MFAC.AddQuest(faction.TheMaghar, standing.Neutral, standing.Exalted, 11503, 500) --Enemies, Old and New (PvP)

	FIZ_AddMob(faction.TheMaghar, standing.Neutral, standing.Exalted, "Boulderfist ogres", 10, zone.Nagrand)
	FIZ_AddMob(faction.TheMaghar, standing.Neutral, standing.Exalted, "Kil'sorrow Deathsworn/Cultist/Spellbinder", 10, zone.Nagrand)
	FIZ_AddMob(faction.TheMaghar, standing.Neutral, standing.Exalted, "Murkblood Scavenger", 2, zone.Nagrand)
	FIZ_AddMob(faction.TheMaghar, standing.Neutral, standing.Exalted, "Murkblood", 10, zone.Nagrand)
	FIZ_AddMob(faction.TheMaghar, standing.Neutral, standing.Exalted, "Warmaul non-elite", 10, zone.Nagrand)

	-- Tranquillien 922
	MFAC.AddQuest(faction.Tranquillien, standing.Neutral, standing.Exalted, 9217, 500, {[22641] = 10}) --More Rotting Hearts
	MFAC.AddQuest(faction.Tranquillien, standing.Neutral, standing.Exalted, 9219, 500, {[22642] = 10}) --More Spinal Dust
	-----------------------------------------------
	-- Wrath of the Lich King
	-----------------------------------------------

-- Horde Expedition 1052
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 12170, 125) --Blackriver Brawl
---- spillover from 1124
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13673, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13677, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13769, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13676, 62.5) --Training In The Field
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13675, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13856, 62.5) --At the Enemy's Gates
---- spillover from 1085
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 12284, 62.5) --Keep 'Em on Their Heels
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 12280, 62.5) --Making Repairs
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 12288, 62.5) --Overwhelmed!
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 12270, 62.5) --Shred the Alliance
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13310, 62.5) --Assault by Air
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13301, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13330, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13283, 62.5) --King of the Mountain
---- spillover from tournament
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13809, 125) --Threat From Above
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13810, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13862, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.HordeExpedition, standing.Neutral, standing.Exalted, 13811, 125) --Among the Champions
---- spillover from dungeon
	FIZ_AddInstance(faction.HordeExpedition, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.HordeExpedition, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
-- The Hand of Vengeance 1067
---- spillover from 1052
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 12170, 62.5) --Blackriver Brawl
---- spillover from 1124
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13673, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13677, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13769, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13676, 62.5) --Training In The Field
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13675, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13856, 62.5) --At the Enemy's Gates
---- spillover from 1085
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 12284, 62.5) --Keep 'Em on Their Heels
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 12280, 62.5) --Making Repairs
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 12288, 62.5) --Overwhelmed!
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 12270, 62.5) --Shred the Alliance
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13310, 62.5) --Assault by Air
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13301, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13330, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13283, 62.5) --King of the Mountain
---- spillover from tournament
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13809, 125) --Threat From Above
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13810, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13862, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, 13811, 125) --Among the Champions
---- spillover from dungeon
	FIZ_AddInstance(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.TheHandOfVengeance, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
-- The Sunreavers 1124
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13673, 125, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13677, 125) --Learning The Reins
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13769, 125) --A Worthy Weapon
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13772, 125) --The Grand Melee
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13676, 125) --Training In The Field
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13675, 125) --The Edge Of Winter
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13856, 125) --At the Enemy's Gates
---- spillover from 1052
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 12170, 62.5) --Blackriver Brawl
---- spillover from 1085
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 12284, 62.5) --Keep 'Em on Their Heels
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 12280, 62.5) --Making Repairs
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 12288, 62.5) --Overwhelmed!
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 12270, 62.5) --Shred the Alliance
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13310, 62.5) --Assault by Air
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13301, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13330, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13283, 62.5) --King of the Mountain
---- spillover from tournament
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13809, 125) --Threat From Above
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13810, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13862, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.TheSunreavers, standing.Neutral, standing.Exalted, 13811, 125) --Among the Champions
---- spillover from dungeon
	FIZ_AddInstance(faction.TheSunreavers, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.TheSunreavers, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)

-- Warsong Offensive 1085
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 12284, 125) --Keep 'Em on Their Heels
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 12280, 125) --Making Repairs
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 12288, 125) --Overwhelmed!
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 12270, 125) --Shred the Alliance
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13310, 125) --Assault by Air
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13301, 125) --Assault by Ground
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13330, 125) --Blood of the Chosen
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13283, 125) --King of the Mountain
---- spillover from 1052
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 12170, 62.5) --Blackriver Brawl
---- spillover from 1124
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13673, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13677, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13769, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13676, 62.5) --Training In The Field
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13675, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13856, 62.5) --At the Enemy's Gates
---- spillover from tournament
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13809, 125) --Threat From Above
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13810, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13862, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.WarsongOffensive, standing.Neutral, standing.Exalted, 13811, 125) --Among the Champions
---- spillover from dungeon
	FIZ_AddInstance(faction.WarsongOffensive, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.WarsongOffensive, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
-- The Taunka 1064
---- spillover from 1052
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 12170, 62.5) --Blackriver Brawl
---- spillover from 1124
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13673, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13677, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13769, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13676, 62.5) --Training In The Field
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13675, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13856, 62.5) --At the Enemy's Gates
---- spillover from 1085
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 12284, 62.5) --Keep 'Em on Their Heels
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 12280, 62.5) --Making Repairs
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 12288, 62.5) --Overwhelmed!
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 12270, 62.5) --Shred the Alliance
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13310, 62.5) --Assault by Air
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13301, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13330, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13283, 62.5) --King of the Mountain
---- spillover from tournament
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13809, 125) --Threat From Above
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13810, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13862, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.TheTaunka, standing.Neutral, standing.Exalted, 13811, 125) --Among the Champions
---- spillover from dungeon
	FIZ_AddInstance(faction.TheTaunka, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.TheTaunka, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
-- Argent Crusade 1106
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13302, 325) --Slaves to Saronite
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13809, 325) --Threat From Above
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13810, 325) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13862, 325) --Battle Before The Citadel
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13811, 325) --Among the Champions
-- Knights of the Ebon Blade 1098
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13809, 325) --Threat From Above
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13810, 325) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13862, 325) --Battle Before The Citadel
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13811, 325) --Among the Champions

	-----------------------------------------------
	-- Cataclysm
	-----------------------------------------------

-- Dragonmaw Clan 1172
---- from zone Twilight Highlands
	MFAC.AddQuest(faction.DragonmawClan, standing.Neutral, standing.Exalted, 28873, 250) --Another Maw to Feed
	MFAC.AddQuest(faction.DragonmawClan, standing.Neutral, standing.Exalted, 28875, 350) --Bring Down the High Shaman
	MFAC.AddQuest(faction.DragonmawClan, standing.Neutral, standing.Exalted, 28871, 250) --Crushing the Wildhammer
	MFAC.AddQuest(faction.DragonmawClan, standing.Neutral, standing.Exalted, 28874, 250) --Hook 'em High
	MFAC.AddQuest(faction.DragonmawClan, standing.Neutral, standing.Exalted, 28872, 250) --Total War
--	FIZ_AddMob(1172, 1, 8, 1, 10, 5)
--	FIZ_AddMob(1172, 1, 8, 1, 15, 6)
--	FIZ_AddMob(1172, 1, 8, 4, 150, 5)
--	FIZ_AddMob(1172, 1, 8, 4, 250, 6)
-- Hellscream's Reach 1178
---- from zone Tol Barad
------ Tol Barad Peninsula
------ Commander Zanoth
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28657, 250) --A Huge Problem
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28658, 250) --Swamp Bait
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28659, 250) --The Leftovers
------ Drillmaster Razgoth
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28665, 350) --Cursed Shackles
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28663, 350) --D-Block
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28664, 350) --Svarnos
------ Private Garnoth
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28660, 350) --Clearing the Depths
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28662, 350) --Learning From The Past
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28661, 250) --The Imprisoned Archmage
------ Staff Sergeant Lazgar
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28670, 250) --Food From Below
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28668, 350) --Prison Revolt
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28669, 350) --The Warden
------ Tol Barad Main
---- Private Sarlosk
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28696, 250) --Bombs Away!
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28698, 250) --Cannonball!
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28697, 250) --Ghostbuster
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28700, 250) --Taking the Overlook Back
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28695, 250) --WANTED: Foreman Wellson
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28694, 250) --Watch Out For Splinters!
---- Commander Larmash
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28682, 250) --Claiming The Keep
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28685, 250) --Leave No Weapon Behind
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28686, 250) --Not The Friendliest Town
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28687, 250) --Teach A Man To Fish.... Or Steal
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28721, 250) --Walk A Mile In Their Shoes
---- 3rd Officer Kronkar
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28684, 250) --A Sticky Task
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28680, 250) --Boosting Morale
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28678, 250) --Captain P. Harris
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28679, 250) --Rattling Their Cages
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28681, 350) --Shark Tank
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28683, 250) --Thinning the Brood
---- Captain Prug
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28693, 250) --Finish The Job
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28691, 250) --First Lieutenant Connor
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28692, 250) --Magnets, How Do They Work?
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28690, 250) --Salvaging the Remains
	MFAC.AddQuest(faction.HellscreamsReach, standing.Neutral, standing.Exalted, 28689, 250) --The Forgotten

	-----------------------------------------------
	-- Mists of Pandaria
	-----------------------------------------------

-- Forest Hozen 1228
	---- No rep gains available outside of normal quest line
-- Dominance Offensive 1375
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32643, 300) --Work Order: Dominance Offensive II (rep confirmed Wowhead 29JUL2018)
---- Lion's Landing
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32450, 150) --The Time Is Now! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32135, 300) --Hero Killer (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32130, 150) --Good Luck, Have Fun (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32133, 150) --Sentry Wards (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32131, 150) --We Require More Minerals! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32132, 150) --Worker Harassment (rep confirmed Wowhead 29JUL2018)
---- Domination Point
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32146, 300) --All Dead, All Dead (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32145, 150) --Another One Bites the Dust (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32142, 150) --Death on Two Legs (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32235, 150) --Flash! Aaaaaahhhh! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32144, 150) --Tear It Up (rep confirmed Wowhead 29JUL2018)
---- Ruins of Ogudei
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32343, 300) --Ogudei's Lieutenants (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32344, 150) --It Is A Mystery (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32348, 150) --Kick'em While They're Down (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32120, 150) --Legacy of Ogudei (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32342, 150) --The Spirit Trap (rep confirmed Wowhead 29JUL2018)
---- Bilgewater Beach
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32199, 150) --Krasarang Steampot (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32221, 150) --Storming the Beach (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32223, 300) --Wanted: Lieutenant Ethan Jacobson (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32214, 150) --Bilgewater Infiltrators (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32197, 150) --Mystery Meatloaf (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32222, 300) --Wanted: Chief Engineer Cogwrench (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32237, 150) --Precious Resource (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32137, 150) --Runnin' On Empty (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32236, 150) --Bug Off! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32141, 150) --Power Metal (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32139, 150) --Stacked! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32238, 150) --Universal Remote-Explode (rep confirmed Wowhead 29JUL2018)
---- Beastmaster Quests
------ Huntsman Blake
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32169, 200) --A Colossal Victory (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32167, 200) --Ancient's Fall (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.DominanceOffensive, standing.Hated, standing.Exalted, 32168, 200) --End of an Elder (rep confirmed Wowhead 29JUL2018)
-- Isle of Thunder
-- Sunreaver Onslaught 1388
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32506, 150) --A Wing to Fly On (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32293, 200) --Among the Bones (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32218, 150) --Ashes of the Enemy (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32288, 150) --Bolstering the Defenses (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32269, 150) --Breaking Down the Defenses
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32262, 150) --Captive Audience
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32265, 150) --Charged Moganite (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32520, 200) --Competing Magic (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32282, 150) --Compy Stomp (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32200, 150) --Dangers of Za'Tual (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32217, 150) --Dark Offerings (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32255, 150) --De-Constructed (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32492, 250) --Destroy Cauldrons (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32298, 150) --Dino Might (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32297, 150) --Direhorn or Devilsaur (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32300, 150) --Disarming Irony (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32521, 200) --Encroaching Force (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32287, 150) --Enemies Beneath the Tower (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32676, 400) --Extended Shore Leave (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32292, 200) --Forge Ahead! (different pages say either 200 or 400 rep gain)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32205, 150) --Gather Scout Reports (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32201, 150) --Grave Circumstances (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32252, 150) --Harbingers of the Loa (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32215, 150) --Heinous Sacrifice (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32304, 200) --High Recognition
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32522, 200) --Imposing Threat (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32226, 150) --Into the Crypts (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32299, 150) --Just Some Light Clean-Up Work (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32234, 150) --Knowledge Is Power (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32491, 150) --Left To Rot (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32283, 150) --Loa-saur (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32303, 150) --Made for War
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32266, 150) --Mana Manifestations
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32254, 150) --Manipulating the Saurok (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32208, 150) --Maximum Capacitor (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32213, 150) --Old Enemies
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32305, 150) --Overpowered
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32494, 150) --Power Play (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32227, 150) --Preventing a Future Threat (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32216, 150) --Pterrible Ptorment (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32701, 1850) --Quest Reward Summary: PvE Stage 0-2 (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32703, 1900) --Quest Reward Summary: PvE Stage 3 (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32704, 2150) --Quest Reward Summary: PvE Stage 4-5 (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32700, 1250) --Quest Reward Summary: PvP Stage 1-5 (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32677, 400) --Raiding the Vault (different pages say either 200 or 400 rep gain)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32294, 200) --Raining Bones (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32224, 150) --Rise No More! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32207, 150) --Saur Loser (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32209, 150) --Save Our Scouts! (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32220, 150) --Soul Surrender (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32264, 150) --Spellbound
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32219, 150) --Stone Cold (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32605, 150) --Subtle Encouragement (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32275, 150) --Surgical Death (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32268, 150) --Tactical Mana Bombs
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32495, 150) --The Bloodletter (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32225, 150) --The Call of Thunder (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32517, 150) --The Conquest of Stone (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32489, 150) --The Creeping Carpet of Ihgaluk (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32274, 150) --The Residents of Ihgaluk (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32228, 150) --The Shuddering Moor (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32204, 150) --The Skumblade Threat (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32285, 150) --The Sleepless Legion (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32230, 150) --The Zandalari Colossus (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32493, 150) --They All Fall Down (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32206, 150) --This Just Won't Do (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32233, 150) --Very Disarming (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32232, 150) --What's Inside Counts (rep confirmed Wowhead 29JUL2018)
	MFAC.AddQuest(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 32564, 200) --Zandalari on the Rise (rep confirmed Wowhead 29JUL2018)
	MFAC.AddItems(faction.SunreaverOnslaught, standing.Neutral, standing.Exalted, 25, {[95487] = 1}) -- Sunreaver Onslaught Insignia

	----------------------------------------------------------------------------------------------------------------
	-- Warlords of Draenor
	----------------------------------------------------------------------------------------------------------------
	-- Frostwolf Orcs
	MFAC.AddItems(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, 1000, {[128315] = 1}) --Medallion of the Legion
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Acidmaw Nibbler", 1, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Bloodmaul Bonecrusher", 16, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Bloodmaul Brute/Dire Boar/Gladiator", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Bloodmaul Geomancer/Magma Shaper/Taskmaster", 8, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Burning Slagmaw", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Flesh Horror", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Frostfire Cragstomper", 8, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Goramal", 8, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Gorg'ak the Lava Guzzler", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Grom'kar Crippler/Pulverizer", 16, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Grom'kar Deadeye/Enforcer/Footsoldier/Shocktrooper/Warforger", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Grubnor Wargut", 8, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Hoarfrost", 400, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Icecrag Mountainbreaker", 16, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Icejaw Rockbiter", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Iron Berserker/Crag-Leaper/Gladiator/Talon", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Jabberjaw", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Lesser Iceling", 1, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Lesser Magma Elemental", 1, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Magma Elemental", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Moltnoma", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Mother of Goren", 400, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Nub the Torturer", 1, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Overlord Blackhammer", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Ragore Driftstalker", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Rugrum the Pit Boss", 1, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Slagmaw Nibbler", 1, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Slogtusk the Corpse-Eater", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Son of Goramal", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Tamed Rockworm", 5, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "The Bone Crawler", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Tor'goroth", 50, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Valkor", 400, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Vicious Acidmaw", 8, zone.Frostfire_Ridge); --y
	FIZ_AddMob(faction.FrostwolfOrcs, standing.Neutral, standing.Exalted, "Vrok the Ancient", 400, zone.Frostfire_Ridge); --y

	-- Laughing Skull Orcs (TODO)

	-- Vol'jin's Headhunters (TODO)
	-- Vol'jin's Spear (TODO) PvP

	----------------------------------------------------------------------------------------------------------------
	-- Battle for Azeroth
	----------------------------------------------------------------------------------------------------------------

	-- Talanji's Expedition
	MFAC.AddCurrency(faction.TalanjisExpedition, 1595); --Talanji's Expedition Commendation
	FIZ_AddGeneral(faction.TalanjisExpedition, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	MFAC.AddQuest(faction.TalanjisExpedition, standing.Neutral, standing.Exalted, 50602, 1500) -- Talanji's Expedition

	--The Honorbound
	MFAC.AddCurrency(faction.TheHonorbound, 1600); --The Honorbound Commendation
	FIZ_AddGeneral(faction.TheHonorbound, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	FIZ_AddGeneral(faction.TheHonorbound, standing.Neutral, standing.Exalted, MFAC.TXT.WartimeDonations, 150, MFAC.TXT.WartimeDonations, MFAC.TXT.WartimeDonationsTip) -- Wartime Donations
	MFAC.AddQuest(faction.TheHonorbound, standing.Neutral, standing.Exalted, 50606, 1500) -- Horde War Effort (Emissary)
	MFAC.AddQuest(faction.TheHonorbound, standing.Neutral, standing.Exalted, 53435, 1500) -- Azerite for the Horde (Island expeditions weekly)

	-- Voldunai
	MFAC.AddCurrency(faction.Voldunai, 1596); --Voldunai Commendation
	FIZ_AddGeneral(faction.Voldunai, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	MFAC.AddQuest(faction.Voldunai, standing.Neutral, standing.Exalted, 50603, 1500) -- Voldunai (Emissary)

	-- Zandalari Empire
	MFAC.AddCurrency(faction.ZandalariEmpire, 1597); --Zandalari Empire Commendation
	FIZ_AddGeneral(faction.ZandalariEmpire, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	MFAC.AddQuest(faction.ZandalariEmpire, standing.Neutral, standing.Exalted, 50598, 1500) -- Zandalari Empire



		---	local preGC = collectgarbage("count")
	collectgarbage("collect")
---	print("Collected " .. (preGC-collectgarbage("count")) .. " kB of garbage fiz");
end

